org.apache.commons.math3.util

## Interface MathArrays.Function

All Known Subinterfaces:
  StorelessUnivariateStatistic, UnivariateStatistic

All Known Implementing Classes:
  AbstractStorelessUnivariateStatistic, AbstractUnivariateStatistic, FirstMoment, FourthMoment, GeometricMean, Kurtosis, Max, Mean, Median, Min, Percentile, Product, SecondMoment, SemiVariance, Skewness, StandardDeviation, Sum, SumOfLogs, SumOfSquares, ThirdMoment, Variance

Enclosing class:
  MathArrays

    public static interface MathArrays.Function

Real-valued function that operate on an array or a part of it.

Since:
  3.1

### Method Summary

Methods
`double` `evaluate(double[] array)` Operates on an entire array.
`double` `evaluate(double[] array, int startIndex, int numElements)`

### Method Detail

#### evaluate

    double evaluate(double[] array)

Operates on an entire array.

Parameters:
  `array` - Array to operate on.
Returns:
  the result of the operation.

#### evaluate

    double evaluate(double[] array,
                  int startIndex,
                  int numElements)

Parameters:
  `array` - Array to operate on.
  `startIndex` - Index of the first element to take into account.
  `numElements` - Number of elements to take into account.
Returns:
  the result of the operation.